## fo-property-unicode-bidi

fo-property-unicode-bidi —

## Synopsis

    enum        FoEnumUnicodeBidi;
    #define     FO_TYPE_ENUM_UNICODE_BIDI
    GType       fo_enum_unicode_bidi_get_type   (void);
    struct      FoPropertyUnicodeBidi;
    struct      FoPropertyUnicodeBidiClass;
    FoProperty* fo_property_unicode_bidi_new    (void);
    FoProperty* fo_property_unicode_bidi_get_initial
                                                (void);

## Description

## Details

### enum FoEnumUnicodeBidi

    typedef enum {
      FO_ENUM_UNICODE_BIDI_NORMAL,
      FO_ENUM_UNICODE_BIDI_EMBED,
      FO_ENUM_UNICODE_BIDI_BIDI_OVERRIDE
    } FoEnumUnicodeBidi;

### FO_TYPE_ENUM_UNICODE_BIDI

    #define     FO_TYPE_ENUM_UNICODE_BIDI

### fo_enum_unicode_bidi_get_type ()

    GType       fo_enum_unicode_bidi_get_type   (void);

Returns : |

### struct FoPropertyUnicodeBidi

    struct FoPropertyUnicodeBidi;

### struct FoPropertyUnicodeBidiClass

    struct FoPropertyUnicodeBidiClass;

### fo_property_unicode_bidi_new ()

    FoProperty* fo_property_unicode_bidi_new    (void);

Creates a new FoPropertyUnicodeBidi initialized to default value.

Returns : | the new FoPropertyUnicodeBidi.

### fo_property_unicode_bidi_get_initial ()

    FoProperty* fo_property_unicode_bidi_get_initial
                                                (void);

Get an instance of the property with the correct initial value.

Returns : | An instance of the property.